## org.freedesktop.Gypsy.Position org.freedesktop.Gypsy.Position — Position interface |

## Methods

    GetPosition (out 'i'fields,
                 out 'i'timestamp,
                 out 'd'latitude,
                 out 'd'longitude,
                 out 'd'altitude)

## Signals

    PositionChanged ('i'fields,
                     'i'timestamp,
                     'd'latitude,
                     'd'longitude,
                     'd'altitude)

## Implemented Interfaces

org.freedesktop.Gypsy.Position implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

Position objects are used to obtain the current position (longitude, latitude, altitude) of the GPS. The current position can be obtained with `GetPosition()`, and `PositionChanged` signals are emitted when the position changes.

## Details

### GetPosition ()

    GetPosition (out 'i' fields,
                 out 'i' timestamp,
                 out 'd' latitude,
                 out 'd' longitude,
                 out 'd' altitude)

`fields`: | Bitfield specifying what fields are set. 1: None, 2: Longitude, 4: Latitude, 8: Altitude.
`timestamp`: | The timestamp that this position was determined.
`latitude`: | The latitude in fractional degrees.
`longitude`: | The longitude in fractional degrees.
`altitude`: | The altitude in metres.

## Signal Details

### The PositionChanged signal

    PositionChanged ('i' fields,
                     'i' timestamp,
                     'd' latitude,
                     'd' longitude,
                     'd' altitude)

`fields`: | Bitfield specifying what fields are set. 1: None, 2: Longitude, 4: Latitude, 8: Altitude.
`timestamp`: | The timestamp that this position was determined.
`latitude`: | The latitude in fractional degrees.
`longitude`: | The longitude in fractional degrees.
`altitude`: | The altitude in metres.

## Property Details